# 62. Mutation: Farmen freigeben

Stapelweises Teilen von Betrieben mit Nutzern innerhalb der "Organisation" oder mit externen Nutzern. Es gibt zwei Fälle für die Anwendung der Mutation. Der erste Fall ist das stapelweise Teilen von "Betrieben" per E-Mail-Liste.

{% code overflow="wrap" lineNumbers="true" %}

```graphql
mutation ShareFarmsSample {
  shareFarms(
    input: {
      farmUuids: ["farm_uuid1", "farm_uuid2"]
      emails: ["user1@gmail.com", "user2@gmail.com"]
    }
  ) {
    uuid
    userUuid
    name
    farmOwnership
    Erstellungsdatum
    updatedDate
    email
  }
}

```

{% endcode %}

Und der zweite Fall besteht darin, das Flag ‚allFarms=true‘ für die Liste der "Nutzer" in der "Organisation" zu setzen, was bedeutet, dass alle neuen Betriebe innerhalb der "Organisation" für diese "Nutzer" zugänglich sein werden.

{% code overflow="wrap" lineNumbers="true" %}

```graphql
mutation ShareFarmsSample {
  shareFarms(
    input: { 
      emails: ["user@gmail.com"], 
      allFarms: true 
    }
  ) {
    uuid
    userUuid
    name
    farmOwnership
    Erstellungsdatum
    updatedDate
    email
  }
}
```

{% endcode %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.geopard.tech/geopard-tutorials/de/api-dokumentation/uberblick-uber-geopard-api-anfragen/62.-mutation-farmen-freigeben.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
